%define upstream_name    B-Hooks-OP-PPAddr
%define upstream_version 0.03

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 15

Summary:    Hook into opcode execution
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/B/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::Depends)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(parent)
BuildRequires: perl-devel


%description
This module provides a c api for XS modules to hook into the execution of
perl opcodes.

the ExtUtils::Depends manpage is used to export all functions for other XS
modules to use. Include the following in your Makefile.PL:

    my $pkg = ExtUtils::Depends->new('Your::XSModule', 'B::Hooks::OP::PPAddr');
    WriteMakefile(
        ... # your normal makefile flags
        $pkg->get_makefile_vars,
    );

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%{make}

%check
%{make} test

%install
%makeinstall_std

%files
%doc Changes README
%{_mandir}/man3/*
%perl_vendorlib/*






%changelog
* Sat Jun 18 2016 pterjan <pterjan> 0.30.0-15.mga6
+ Revision: 1022703
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 0.30.0-14.mga6
+ Revision: 956801
- Mageia 6 Mass Rebuild

* Fri Jun 26 2015 tv <tv> 0.30.0-13.mga6
+ Revision: 844743
- rebuild for soname-ifed perl

* Tue Jun 23 2015 sander85 <sander85> 0.30.0-12.mga6
+ Revision: 841379
- Rebuild for perl 5.22

* Wed Oct 15 2014 umeabot <umeabot> 0.30.0-11.mga5
+ Revision: 741913
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 0.30.0-10.mga5
+ Revision: 732017
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.30.0-9.mga5
+ Revision: 683588
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 0.30.0-8.mga5
+ Revision: 630822
- Rebuild for perl 5.20

* Sat Oct 19 2013 umeabot <umeabot> 0.30.0-7.mga4
+ Revision: 524220
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 0.30.0-6.mga4
+ Revision: 430550
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.30.0-5.mga3
+ Revision: 363317
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 0.30.0-4.mga3
+ Revision: 250302
- rebuild for perl 5.16

* Sat Jun 11 2011 sander85 <sander85> 0.30.0-3.mga2
+ Revision: 103557
- perl 5.14

* Wed Jan 19 2011 jquelin <jquelin> 0.30.0-2.mga1
+ Revision: 24053
- rebuild

* Tue Jan 18 2011 jquelin <jquelin> 0.30.0-1.mga1
+ Revision: 22030
- cleaning spec file
- imported package perl-B-Hooks-OP-PPAddr


* Fri Dec 03 2010 Shlomi Fish <shlomif@mandriva.org> 0.30.0-1mdv2011.0
+ Revision: 607517
- import perl-B-Hooks-OP-PPAddr

